Chained custom field filter for User fields returns 500 internal server error when filtering after a float

value
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Filters Estimated time: 0.00 hour

Target version: 4.2.8   

Resolution: Fixed Affected version: 4.2.7

Description

This was discovered during the investigations for #36940.

Steps to reproduce:

1. Create a user custom field A of type float and check Used as a filter

2. Create an issue custom field B with format User and check Used as a filter

3. On the My account page set the custom value A for your own account to an arbitrary value

4. Filter the issue list by the filter B's A and use the value you set on the My account page

Observe that the page returns 500 error with the following error in logs:

Query::StatementInvalid: PG::UndefinedFunction: ERROR:  operator does not exist: text >= numeric

LINE 1: ...' AND custom_field_id=12  AND custom_values.value BETWEEN 32...

                                                             ^

HINT:  No operator matches the given name and argument types. You might need to add explicit type 

casts.

Associated revisions

Revision 21684 - 2022-06-27 19:58 - Marius BĂLTEANU

Fix filter for chained User custom fields returns 500 internal server error when filtering after a float value (#37349).

Revision 21685 - 2022-06-27 20:01 - Marius BĂLTEANU

Revert undesired change (#37349).

Revision 21688 - 2022-06-28 08:47 - Marius BĂLTEANU

Merged r21684 and r21685 to 5.0-stable (#37349).

Revision 21689 - 2022-06-28 08:48 - Marius BĂLTEANU

Merged r21684 and r21685 to 4.2-stable (#37349).

History

#1 - 2022-06-25 21:42 - Marius BĂLTEANU

- Affected version changed from 4.2.6 to 4.2.7

#2 - 2022-06-25 23:35 - Marius BĂLTEANU

- Category changed from Issues filter to Filters

#3 - 2022-06-27 20:02 - Marius BĂLTEANU

- Status changed from New to Resolved

- Resolution set to Fixed

#4 - 2022-06-28 08:50 - Marius BĂLTEANU

- Status changed from Resolved to Closed
